Messages
{
"method": "subscribe",
"topic": "solana.dex.trades",
"params": {
"token_addresses": [
"J6pQQ3FAcJQeWPPGppWRb4nM8jU3wLyYbRrLh7feMfvd"
],
"wallet_addresses": [
"CsVdJ8WH8Q9eHSTRpwtwN3TYApm24QnLKYUMNxJ3DaED"
]
}
}{
"method": "unsubscribe",
"topics": [
"solana.dex.trades"
]
}{
"topic": "solana.dex.trades",
"data": {
"id": 1,
"protocol": "orca-whirl",
"swap_type": "token_quote",
"wallet_address": "CsVdJ8WH8Q9eHSTRpwtwN3TYApm24QnLKYUMNxJ3DaED",
"token_address": "J6pQQ3FAcJQeWPPGppWRb4nM8jU3wLyYbRrLh7feMfvd",
"quote_address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"position_address": "9xQeWvG816bUx9EPjHmaT23yvVM2ZWbrrpZb9PusVFin",
"direction": "buy",
"position_state": "open",
"token_amount": 256.4115815,
"quote_amount": 35.323303,
"native_amount": 0.012345,
"usd_amount": 35.31801262890969,
"pre_token_balance": 2247.98704231,
"post_token_balance": 1991.57546081,
"token_symbol": "2Z",
"quote_symbol": "USDC",
"token_price": 0.13773953743547926,
"quote_price": 0.99985023,
"block_slot": 382423380,
"block_time": "2026-05-28T12:00:00Z",
"tx_hash": "3gg6eQPa2PJ4LkGnd12EoEBHmSB3R3fr9h6MYUaaDAjeZBL5bb9paUxn521Z9d3ScWES4cVKLsexwEvo3dUoqhEs"
}
}Trades
Subscribe Trades
Subscribe to real-time trades.
WSS
/
v1
/
ws
To keep the connection alive, you need to send a ping message every less than 60 seconds.
topic field that you can use to filter the type of message.
When subscribing, you can leave any of the array fields of the
params object empty to subscribe to all entries for that field.When unsubscribing, you can leave the
topics array empty to unsubscribe from all topics.Messages
{
"method": "subscribe",
"topic": "solana.dex.trades",
"params": {
"token_addresses": [
"J6pQQ3FAcJQeWPPGppWRb4nM8jU3wLyYbRrLh7feMfvd"
],
"wallet_addresses": [
"CsVdJ8WH8Q9eHSTRpwtwN3TYApm24QnLKYUMNxJ3DaED"
]
}
}{
"method": "unsubscribe",
"topics": [
"solana.dex.trades"
]
}{
"topic": "solana.dex.trades",
"data": {
"id": 1,
"protocol": "orca-whirl",
"swap_type": "token_quote",
"wallet_address": "CsVdJ8WH8Q9eHSTRpwtwN3TYApm24QnLKYUMNxJ3DaED",
"token_address": "J6pQQ3FAcJQeWPPGppWRb4nM8jU3wLyYbRrLh7feMfvd",
"quote_address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"position_address": "9xQeWvG816bUx9EPjHmaT23yvVM2ZWbrrpZb9PusVFin",
"direction": "buy",
"position_state": "open",
"token_amount": 256.4115815,
"quote_amount": 35.323303,
"native_amount": 0.012345,
"usd_amount": 35.31801262890969,
"pre_token_balance": 2247.98704231,
"post_token_balance": 1991.57546081,
"token_symbol": "2Z",
"quote_symbol": "USDC",
"token_price": 0.13773953743547926,
"quote_price": 0.99985023,
"block_slot": 382423380,
"block_time": "2026-05-28T12:00:00Z",
"tx_hash": "3gg6eQPa2PJ4LkGnd12EoEBHmSB3R3fr9h6MYUaaDAjeZBL5bb9paUxn521Z9d3ScWES4cVKLsexwEvo3dUoqhEs"
}
}x-api-key
type:httpApiKey
Your Prism API key. You can get one for free in the Prism Dashboard.
You must include it in the x-api-key query parameter.
Subscribe Trades
type:object
Subscribe to trade updates.
Unsubscribe Trades
type:object
Unsubscribe from trade updates.
Trade Message
type:object
Message containing the trade data.
Was this page helpful?
⌘I